|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.explorer.CmsTree
public class CmsTree
Generates the tree view for the OpenCms Workplace.
The following Workplace files use this class:
| Field Summary | |
|---|---|
static String |
PARAM_INCLUDEFILES
Request parameter name for the includesfiles parameter. |
static String |
PARAM_LASTKNOWN
Request parameter name for the lastknown parameter. |
static String |
PARAM_RESOURCE
Request parameter name for the resource parameter. |
static String |
PARAM_ROOTLOADED
Request parameter name for the rootloaded parameter. |
static String |
PARAM_SHOWSITESELECTOR
Request parameter name for the showsiteselector parameter. |
static String |
PARAM_TREESITE
Request parameter name for the treesite parameter. |
static String |
PARAM_TYPE
Request parameter name for the type parameter. |
| Constructor Summary | |
|---|---|
CmsTree(CmsJspActionElement jsp)
Public constructor. |
|
| Method Summary | |
|---|---|
String |
getRootFolder()
Determines the root folder of the current tree dependent on users setting of explorer view restriction. |
String |
getSiteSelector(String htmlAttributes)
Returns the HTML for the site selector box for the explorer tree window. |
String |
getTree()
Returns the html for the explorer tree. |
String |
getTreeType()
Returns the type of this tree (e.g. |
boolean |
includeFiles()
Indicates if only folders or files and folders should be included in the tree. |
String |
initTree()
Returns the HTML for the tree initialization. |
static String |
initTree(CmsObject cms,
String encoding,
String skinUri)
Returns the HTML for the tree initialization. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
boolean |
showSiteSelector()
Indicates if the site selector should be shown depending on the tree type, initial settings and the count of accessible sites. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String PARAM_INCLUDEFILES
public static final String PARAM_LASTKNOWN
public static final String PARAM_RESOURCE
public static final String PARAM_ROOTLOADED
public static final String PARAM_SHOWSITESELECTOR
public static final String PARAM_TREESITE
public static final String PARAM_TYPE
| Constructor Detail |
|---|
public CmsTree(CmsJspActionElement jsp)
jsp - an initialized JSP action element| Method Detail |
|---|
public static String initTree(CmsObject cms,
String encoding,
String skinUri)
cms - the CmsObjectencoding - the current encodingskinUri - the current skin URI
public String getRootFolder()
public String getSiteSelector(String htmlAttributes)
htmlAttributes - optional attributes for the <select> tag
public String getTree()
public String getTreeType()
public boolean includeFiles()
public String initTree()
public boolean showSiteSelector()
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsWorkplacesettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||